Index: ../build/boot/x86/f9.txt
===================================================================
--- ../build/boot/x86/f9.txt	(revision 50512)
+++ ../build/boot/x86/f9.txt	(working copy)
@@ -8,16 +8,15 @@
 and the next user who comes up with the same problem will profit from your
 experience!
 
-See the Installation Manual or the FAQ for more information; both
-documents are available at the Debian web site, 0fhttp://www.debian.org/07
+${DOCTXT1}
+${DOCTXT2}
+${DOCTXT3}
+${DOCTXT4}
+${DOCTXT5}
+${DOCTXT6}
 
 
 
 
 
-
-
-
-
-
 Press F1control and F then 1 for the help index, or ENTER to ${BOOTPROMPT}
Index: ../build/config/x86.cfg
===================================================================
--- ../build/config/x86.cfg	(revision 50512)
+++ ../build/config/x86.cfg	(working copy)
@@ -126,11 +126,56 @@
 arch_boot_screens:
 	-rm -f $(TEMP_BOOT_SCREENS)/*
 	mkdir -p $(TEMP_BOOT_SCREENS)
+
+	# Options to set bold/normal text in syslinux screens
+	SL_BOLD="$$(echo -en "\00170f")"; \
+	SL_NORM="$$(echo -en "\001707")"; \
+	if [ "$(DI_STATUS)" = RC ]; then \
+		URL_MAN="$(URL_MAN_RC)"; \
+		URL_RN="$(URL_RN_RC)"; \
+	else \
+		URL_MAN="$(URL_MAN_DEV)"; \
+		URL_RN=""; \
+	fi; \
+	if [ -n "$$URL_MAN" ]; then \
+		DOCTXT1="$(INTRO_MAN)"; \
+		DOCTXT2="$${SL_BOLD}$${URL_MAN}$${SL_NORM}"; \
+		if [ -n "$$URL_RN" ]; then \
+			DOCTXT3="$(INTRO_RN)"; \
+			DOCTXT4="$${SL_BOLD}$${URL_RN}$${SL_NORM}"; \
+			if [ -n "$(URL_GEN)" ]; then \
+				DOCTXT5="$(INTRO_GEN)"; \
+				DOCTXT6="$${SL_BOLD}$(URL_GEN)$${SL_NORM}"; \
+			fi \
+		else \
+			if [ -n "$(URL_GEN)" ]; then \
+				DOCTXT3="$(INTRO_GEN)"; \
+				DOCTXT4="$${SL_BOLD}$(URL_GEN)$${SL_NORM}"; \
+			fi \
+		fi \
+	else \
+		if [ -n "$(INTRO_GEN_ALT1)" ]; then \
+			DOCTXT1="$(INTRO_GEN_ALT1)"; \
+			if [ -n "$(INTRO_GEN_ALT2)" ]; then \
+				DOCTXT2="$(INTRO_GEN_ALT2)"; \
+				if [ -n "$(URL_GEN)" ]; then \
+					DOCTXT3="$${SL_BOLD}$(URL_GEN)$${SL_NORM}"; \
+				fi \
+			else \
+				if [ -n "$(URL_GEN)" ]; then \
+					DOCTXT2="$${SL_BOLD}$(URL_GEN)$${SL_NORM}"; \
+				fi \
+			fi \
+		fi \
+	fi; \
 	$(foreach SCREEN,$(wildcard boot/x86/*.txt boot/x86/*.txt.with*), \
 		bootvars-subst MEDIA_TYPE "$(MEDIA_TYPE)" \
 			DEBIAN_VERSION "$(DEBIAN_VERSION)" \
 			BUILD_DATE "$(BUILD_DATE)" \
 			SYSDIR "$(BOOT_SCREEN_DIR)" \
+			DOCTXT1 "$$DOCTXT1" DOCTXT2 "$$DOCTXT2" \
+			DOCTXT3 "$$DOCTXT3" DOCTXT4 "$$DOCTXT4" \
+			DOCTXT5 "$$DOCTXT5" DOCTXT6 "$$DOCTXT6" \
 		       < $(SCREEN) > $(TEMP_BOOT_SCREENS)/`basename $(SCREEN)`\
 	;)
 	if [ -n "$(SPLASH_RLE)" ]; then \
Index: ../build/config/common
===================================================================
--- ../build/config/common	(revision 50512)
+++ ../build/config/common	(working copy)
@@ -51,6 +51,10 @@
 # Archive components from which to fetch debian-installer modules.
 UDEB_COMPONENTS ?= main/debian-installer
 
+# Status of the D-I release. Valid values are BETA and RC.
+# The RC status should be set by modifying debian/rules, not here.
+DI_STATUS ?= BETA
+
 # The date the installer is built.
 BUILD_DATE ?= $(shell date -u '+%Y%m%d-%H:%M')
 
@@ -87,3 +91,26 @@
 # All images that include cdebconf should include symbols needed by these
 # plugins.
 EXTRAUDEBS=cdebconf-newt-entropy
+
+# The links below can be displayed by boot loaders.
+# The actual inclusion of these links is done by scripts in ./boot.
+# Lines should not be longer than 80 characters.
+#
+# By default, only URL_MAN_DEV should be included; for official Release
+# Candidate uploads (if DI_STATUS="RC"), URL_MAN_RC and URL_RN_RC should
+# be included. If a link is empty, it and the introductory text with it
+# should be suppressed.
+# INTRO_GEN plus URL_GEN should be added if a manual and/or release notes
+# are included, otherwise INTRO_GEN_ALT1/2 plus URL_GEN should be.
+#
+# For an example, see config/x86.cfg and boot/x86/f9.txt.
+#
+INTRO_MAN=The Debian Installation Guide for this image is available at:
+URL_MAN_DEV=http://d-i.alioth.debian.org/manual/
+URL_MAN_RC=http://www.debian.org/releases/$(DEBIAN_RELEASE)/installmanual
+INTRO_RN=and the Release Notes for this Debian release at:
+URL_RN_RC=http://www.debian.org/releases/$(DEBIAN_RELEASE)/releasenotes
+INTRO_GEN=Additional documentation is available from the Debian web site:
+INTRO_GEN_ALT1=See the Installation Guide or the FAQ for more information.
+INTRO_GEN_ALT2=Both documents are available from the Debian web site:
+URL_GEN=http://www.debian.org/
Index: ../debian/rules
===================================================================
--- ../debian/rules	(revision 50512)
+++ ../debian/rules	(working copy)
@@ -8,6 +8,8 @@
 USE_UDEBS_FROM=unstable
 else
 USE_UDEBS_FROM=lenny
+# Normal value is BETA; only set to RC for actual release candidate uploads
+DI_STATUS=BETA
 endif
 
 ARCHIVEDIR=debian/tmp/installer-$(ARCH)
